#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: equivalence
version: 0.3.2
id: equivalence-0.3.2-FOxJe3BSKe7DoNzUTzSUer
key: equivalence-0.3.2-FOxJe3BSKe7DoNzUTzSUer
license: BSD3
maintainer: paba@di.ku.dk
stability: provisional
homepage: https://github.com/pa-ba/equivalence
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description:
    This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
    E. Tarjan. "Efficiency of a Good But Not Linear Set Union
    Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
    relation.
    This implementation is a port of the /union-find/ package using the
    ST monad transformer (instead of the IO monad).
category: Algorithms, Data
author: Patrick Bahr
exposed: True
indefinite: False
exposed-modules:
    Data.Equivalence.Monad Data.Equivalence.STT
abi: 2ab49f9b9f0a9d07cff8c49feb4ff374
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/equivalence-0.3.2
library-dirs: /usr/lib/ghc-8.2.2/site-local/equivalence-0.3.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/equivalence-0.3.2
hs-libraries: HSequivalence-0.3.2-FOxJe3BSKe7DoNzUTzSUer
depends:
    base-4.10.1.0 containers-0.5.10.2 mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    STMonadTrans-0.4.3-7lSg3y2p8nw2EDstzyreuM transformers-0.5.2.0
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             STMonadTrans-0.4.3-7lSg3y2p8nw2EDstzyreuM=2564759b2ec7d1d4bc145d6890e641f5
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=94a5340d64a5db3506fe5654c7b40389
haddock-interfaces: /usr/share/doc/haskell-equivalence/html/equivalence.haddock
haddock-html: /usr/share/doc/haskell-equivalence/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

